Bug 155166 - Implement rel=noopener
Summary: Implement rel=noopener
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-03-08 02:42 PST by Mathias Bynens
Modified: 2016-10-25 13:20 PDT (History)
21 users (show)

See Also:


Attachments
Patch (18.48 KB, patch)
2016-10-24 18:17 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (18.42 KB, patch)
2016-10-25 11:11 PDT, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Mike West 2016-03-16 05:20:59 PDT
CCing potentially interested folks.
Comment 2 Radar WebKit Bug Importer 2016-03-16 09:38:03 PDT
<rdar://problem/25193787>
Comment 3 Andy Estes 2016-10-24 18:17:22 PDT
Created attachment 292690 [details]
Patch
Comment 4 Andy Estes 2016-10-24 18:23:14 PDT
We should also support the "noopener" feature for window.open(). I'll file a separate bug about that.
Comment 5 Andy Estes 2016-10-24 19:06:10 PDT
Comment on attachment 292690 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=292690&action=review

> Source/WebCore/html/HTMLAnchorElement.cpp:-252
> -        // Update HTMLAnchorElement::relList() if more rel attributes values are supported.

I didn't mean to remove this comment. I'll restore it before landing.
Comment 6 Brent Fulgham 2016-10-24 20:10:56 PDT
Comment on attachment 292690 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=292690&action=review

r=me

> Source/WebCore/html/HTMLAnchorElement.h:-55
> -//     RelationUp          = 0x00020000,

Are all of these implemented now? :-)
Comment 7 Andy Estes 2016-10-24 20:13:17 PDT
(In reply to comment #6)
> Comment on attachment 292690 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=292690&action=review
> 
> r=me
> 
> > Source/WebCore/html/HTMLAnchorElement.h:-55
> > -//     RelationUp          = 0x00020000,
> 
> Are all of these implemented now? :-)

No, but there's no point in leaving the list of unimplemented values in a comment. The HTML spec is the right place for that list.
Comment 8 Andy Estes 2016-10-24 20:13:54 PDT
And thanks for the review :)
Comment 9 Andy Estes 2016-10-25 11:11:06 PDT
Created attachment 292786 [details]
Patch
Comment 10 WebKit Commit Bot 2016-10-25 11:58:44 PDT
The commit-queue encountered the following flaky tests while processing attachment 292786 [details]:

transitions/default-timing-function.html bug 138901 (author: simon.fraser@apple.com)
The commit-queue is continuing to process your patch.
Comment 11 WebKit Commit Bot 2016-10-25 11:58:49 PDT
The commit-queue encountered the following flaky tests while processing attachment 292786 [details]:

The commit-queue is continuing to process your patch.
Comment 12 WebKit Commit Bot 2016-10-25 13:20:26 PDT
Comment on attachment 292786 [details]
Patch

Clearing flags on attachment: 292786

Committed r207840: <http://trac.webkit.org/changeset/207840>
Comment 13 WebKit Commit Bot 2016-10-25 13:20:32 PDT
All reviewed patches have been landed.  Closing bug.